<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
    <style>
      .container {
        margin: auto;
        width: 50%;
        border: 3px solid green;
        padding: 10px;
        text-align: center;
      }
      button {
        background-color: #1c201d;
        border: none;
        color: white;
        padding: 15px 32px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 16px;
      }
    </style>
  </head>
  <body>
    <div class="container">
      <h2>To Find HCF</h2>
      <br />
      <p>Enter First Positive Number :</p>
      <input type="text" name="first" id="input1" />
      <br />
      <p>Enter Second Posititve Number :</p>
      <input type="text" name="" id="second" />
      <br /><br />
      <button onclick="myfunc()">Check</button>
      <br /><br />
      <p id="output"></p>
    </div>
    <script>
      function myfunc() {
        let hcf;
        const first = document.getElementById("input1").value;
        const second = document.getElementById("second").value;
        if (first == "" || second == "") {
          alert("enter valid number");
        } else {
          for (let i = 0; i <= first && i <= second; i++) {
            if (first % i == 0 && second % i == 0) {
              hcf = i;
            }
          }
        }
        document.getElementById("output").innerHTML = `HCF = ${hcf}.`;
      }
    </script>
  </body>
</html>
